#ifndef ACCOMMODATION_H
#define ACCOMMODATION_H

#include "accommodation_global.h"
#include <context.h>
#include <iplugin.h>
#include <QObject>
#include <QtPlugin>

class ACCOMMODATIONSHARED_EXPORT Accommodation : public QObject, IPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "accommodation.json")
    Q_INTERFACES(IPlugin)

public:
    Accommodation();

    QString pluginName() Q_DECL_OVERRIDE;
    void init() Q_DECL_OVERRIDE;
    QString pluginId() Q_DECL_OVERRIDE;

};

#endif // ACCOMMODATION_H
