#ifndef CONTEXT_H
#define CONTEXT_H

#include <QList>
#include <odb/database.hxx>

class IPlugin;

class Context
{
public:
    static Context &instance();
    QList<IPlugin*> plugins();
    void loadPlugins();
    void openDb(const QString &path);
    odb::database *db();

private:
    Context();
    QList<IPlugin*> m_plugins;
    odb::database *m_db;

};

#endif // CONTEXT_H
